Część: Sfera

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Sphere and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg poprzedni: Part Cylinder.svg Walec
następny: Stożek Part Cone.svg Arrow-right.svg

Part Sphere.svg Part: Kula

Lokalizacja w menu
Część → Bryła pierwotna → Kula
Środowisko pracy
Part
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Bryły pierwotne

Opis

Polecenie Part Sphere.svg Polecenie Sfera środowiska pracy Część tworzy parametryczną bryłę sfery. Jest ona wynikiem obracania profilu łuku okręgu wokół osi. W układzie współrzędnych zdefiniowanym przez właściwość DANEUmiejscowienie środek kuli jest umieszczony w punkcie początkowym, a jej osią obrotu jest oś Z.

Sfera środowiska pracy Część może być obcięta u góry i/lub u dołu przez zmianę jej właściwości DANEKąt1 i/lub DANEKąt2. Można ją przekształcić w segment sfery, zmieniając jej właściwość DANEKąt3.

Part Sphere Example.png

Użycie

  1. Istnieje kilka sposobów na wywołanie tego polecenia:
    • Naciśnij przycisk Part Sphere.svg Sfera.
    • Wybierz z menu opcję Część → Bryła pierwotna → Part Sphere.svg Sfera.
  2. Sfera zostanie utworzona.
  3. Opcjonalnie zmień wymiary i DANEUmiejscowienie sfery, wykonując jedną z poniższych czynności:
    • Kliknij dwukrotnie obiekt w oknie Widoku drzewa:
      1. Otworzy się panel zadań Pierwotne bryły parametryczne.
      2. Zmień jedną lub więcej właściwości.
      3. Obiekt jest dynamicznie aktualizowany w oknie widoku 3D.
      4. Naciśnij przycisk OK.
    • Zmień właściwości w Edytorze właściwości.
    • Zmień DANEUmiejscowienie za pomocą narzędzia Std TransformManip.svg Std: Przemieszczenie.

Przykład

Sfera środowiska pracy Część na przykładzie skryptu

Poniżej pokazano obiekt Sfera utworzony za pomocą przykładowego skryptu.

Uwagi

  • Sferę środowiska pracy Część można również utworzyć za pomocą narzędzia Part Primitives.svg Geometrie pierwotne. Za jego pomocą można określić wymiary i umiejscowienie w czasie tworzenia.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Sfera wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Dołączenie

Obiekt ten ma takie same właściwości dołączania jak Part: Part2DObject.

Kula

  • DANEPromień (długość): Promień sfery. Wartość domyślna to 5mm.
  • DANEKąt1 (kąt): Kąt rozpoczęcia profilu łuku okręgu sfery. Poprawny zakres: -90° <= wartość <= 90°. Nie może być równy parametrowi DANEKąt2. Domyślnie jest to wartość -90°.
  • DANEKąt2 (kąt): Kąt końcowy profilu łuku kołowego sfery. Ważny zakres: -90° <= wartość <= 90°. Nie może być równy parametrowi DANEKąt1. Wartość domyślna to 90°. Jeśli całkowity kąt profilu łuku jest mniejszy niż 180°, kula zostanie obcięta i będzie miała płaską powierzchnię u góry i / lub u dołu.
  • DANEKąt3 (kąt): Całkowity kąt obrotu sfery. Dozwolony zakres: 0° < wartość <= 360°. Domyślnie jest to wartość 360°. Jeśli wartość jest mniejsza niż 360°, to bryła wynikowa będzie fragmentem kuli.* DANEPromień (długość): Promień sfery. Wartość domyślna to 5mm.
  • DANEKąt1 (kąt): Kąt rozpoczęcia profilu łuku okręgu sfery. Poprawny zakres: -90° <= wartość <= 90°. Nie może być równy parametrowi DANEKąt2. Domyślnie jest to wartość -90°.
  • DANEKąt2 (kąt): Kąt końcowy profilu łuku kołowego sfery. Ważny zakres: -90° <= wartość <= 90°. Nie może być równy parametrowi DANEKąt1. Wartość domyślna to 90°. Jeśli całkowity kąt profilu łuku jest mniejszy niż 180°, kula zostanie obcięta i będzie miała płaską powierzchnię u góry i / lub u dołu.
  • DANEKąt3 (kąt): Całkowity kąt obrotu sfery. Dozwolony zakres: 0° < wartość <= 360°. Domyślnie jest to wartość 360°. Jeśli wartość jest mniejsza niż 360°, to bryła wynikowa będzie fragmentem kuli.

Tworzenie skryptów

Zobacz również: Dokumentacja API generowana automatycznie oraz Skrypty w środowisku Część i Podstawy pisania skryptów dla FreeCAD.

Sfera środowiska pracy Część jest tworzona za pomocą metody addObject().

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Gdzie parametr "mySphere" jest etykietą dla obiektu.
  • Funkcja zwraca nowo utworzony obiekt.

Przykład:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()


Arrow-left.svg poprzedni: Part Cylinder.svg Walec
następny: Stożek Part Cone.svg Arrow-right.svg